<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { getPageMetadata } from '~/common/meta';
import {
  FreeTrialForm,
  FreeTrialRecognitionCards,
  FreeTrialHero as Hero,
} from '~/components/free-trial/index.vue';
import { FooterEditLinkMixin } from '~/mixins';
export default Vue.extend({
  components: {
    FreeTrialForm,
    FreeTrialRecognitionCards,
    Hero,
  },
  mixins: [FooterEditLinkMixin],
  layout: 'paid-search-lp',
  async asyncData({ $content }) {
    const data = await $content('en-us/ebook-ultimate-guide-ci-cd').fetch();
    const { seo, content } = data;
    return { seo, content };
  },
  data() {
    return {
      isOpenIndex: -1 as number,
    };
  },
  head(): MetaInfo {
    return getPageMetadata(this.seo, this.$route.path);
  },
  nuxtI18n: false,
});
</script>

<template>
  <div>
    <Hero :data="content.hero" class="hero" />
    <FreeTrialRecognitionCards :data="content.recognitionCards" />
    <FreeTrialForm :data="content.formSection" />
  </div>
</template>

<style lang="scss" scoped>
.hero {
  margin: 0;

  &:deep {
    .slp-btn {
      background-color: $color-surface-700;

      &:hover {
        background-color: $color-surface-50;
        color: $color-surface-700;
      }
    }

    .container {
      padding: 0 $spacing-16;
    }

    .hero-background {
      height: 170%;
      top: -75px;
    }

    .container .image {
      border-radius: 8px;
      width: 100%;
    }
  }
}
</style>
